;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: a2.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Task Control Architecture
;;;
;;; $Revision: 1.2 $
;;; $Date: 1993/06/13 23:25:29 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: a2.lisp,v $
;;; Revision 1.2  1993/06/13  23:25:29  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(defun WCHnd (ref data)
  (format t "WCHnd: Start~%")

  (format t "data: ~A~%" data)

  (tca::tcaSuccess ref)

  (format t "WCHnd: done~%"))


(defun a2 (&optional (server (tca::tcaServerMachine)))
  (format t "Connect ...~%")

  (tca::tcaConnectModule "Module A2" server)

  (tca::tcaRegisterCommandMessage "WhileWaitingCommand" "int")
  (tca::tcaRegisterHandler "WhileWaitingCommand" "WCHnd" 'WCHnd)
   
  (tca::tcaWaitUntilReady)

  (let* ((msgData 3) (replyData 17)
	 (returnValue (tca::tcaQuery "NullReplyMsg" msgData replyData)))
    (if (eql returnValue tca::NullReply)
	(format t "returnValue: Null Reply: replyData: ~a~%" replyData)
      (format t "returnValue: ~a : replyData: ~a~%" returnValue replyData)))


  (let* ((msgData 3) (replyData 17)
	 (returnValue (tca::tcaQuery "ReplyMsg" msgData replyData)))
    (if (eql returnValue tca::NullReply)
	(format t "returnValue: Null Reply: replyData: ~a~%" replyData)
	(format t "returnValue: ~a : replyData: ~a~%" returnValue replyData)))

  (let* ((msgData 3) (replyData 17)
	 (returnValue (tca::tcaQuery "QCMsg" msgData replyData)))
    (if (eql returnValue tca::NullReply)
	(format t "returnValue: Null Reply: replyData: ~a~%" replyData)
	(format t "returnValue: ~a : replyData: ~a~%" returnValue replyData)))

  
  (tca::tcaClose))
