;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: .lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Defines some data types used by the tests.
;;;
;;; $Revision: 1.3 $
;;; $Date: 1994/04/16 19:32:44 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: sample.lisp,v $
;;; Revision 1.3  1994/04/16  19:32:44  rich
;;; Format changes.
;;;
;;; Revision 1.2  1993/06/13  23:26:06  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(tc::defstruct_tca (Sample)
  (x 0 :type integer)
  (s "" :type string))

(tc::defstruct_tca (Poly)
  (silly 0 :type integer)
  (poly_x NIL)
  (poly_y NIL)
  (npoly 0 :type integer))

 ;;;; :type (or (array double-float) NULL))
 ;;;; :type (or (array double-float) NULL))


#| Defined in map.lisp
(tc::defstruct_tca (map)
  lb1 ub1 lb2 ub2
  el)
|#

(deftype Reply () 'integer)

(defvar SampleDataForm "{int, string}")

(defvar PolyDataForm "{int, <float: 4>, <float: 4>, int}")

(defvar MapDataForm "map")

(defvar ReplyDataForm "int")

;;;****************************************

;;; link example

(tc::defstruct_tca (s2)
  (a 0 :type integer)
  (b 0 :type integer)
  next
  (s "" :type string))

(defvar s2TypeForm "{int, int, *!, string}")

(defconstant FIXED_ARRAY_DIM1 2)
(defconstant FIXED_ARRAY_DIM2 3)

(deftype two_d_array () `(array integer (,FIXED_ARRAY_DIM1 ,FIXED_ARRAY_DIM2)))

(defun make-two_d_array () (make-array `(,FIXED_ARRAY_DIM1 ,FIXED_ARRAY_DIM2)
				       :element-type 'fixnum))

(defvar two_d_array_form (format nil "[int: ~D, ~D]" 
                                 fixed_array_dim1 fixed_array_dim2))

(defconstant VAR_ARRAY_DIM1 3)
(defconstant VAR_ARRAY_DIM2 2)

(tc::defstruct_tca (var_two_d_array)
  (dim1 0 :type integer)
  (dim2 0 :type integer)
  (elements NIL :type (or NULL (array string))))

(defvar var_two_d_array_form "{int, int, <string: 1, 2>}")


;;; For Structured Formatters

(tc::defstruct_tca (point)
  (x 0.0 :type float)
  (y 0.0 :type float)
  (z 0.0 :type float))

(tc::defstruct_tca (two_points)
  (leg_no 0 :type integer)
  (name "" :type string)
  (pt1 (make-point) :type point)
  (pt2 (make-point) :type point))

(tc::defstruct_tca (complex_points)
  (points (make-array 6) :type (array point))
  (length 0 :type integer)
  (more_points NIL :type (or NULL (array #|two_points|#)))
  (pt_ptr NIL :type (or NULL point)))

(defvar point_format "{float, float, float}")
(defvar two_points_format "{int, string, point, point}")
(defvar complex_points_format "{[point: 6], int, <two_points: 2>, *point}")
