#############################################################################
#       $Id: windowNT.mak,v 1.2 1996/01/27 21:55:41 rich Exp $
# $Revision: 1.2 $
#     $Date: 1996/01/27 21:55:41 $
#   $Author: rich $
#    $State: Exp $
#   $Locker:  $
#
# PROJECT:	TCA
#
# FILE:		Makefile
#
# DESCRIPTION:
# Makes the tca libraries and central server for windows NT using borland C.
#
# Requires a WINSOCK implementation.
#
# EXPORTS:
#
# HISTORY:
#
# $Log: windowNT.mak,v $
# Revision 1.2  1996/01/27  21:55:41  rich
# Pre-release of 8.4.
# Added test for recursive named types.
# Iain's windows changes.
#
# Revision 1.1  1996/01/05  16:33:03  rich
# Added windows NT port.
#
#
#############################################################################
.AUTODEPEND

.PATH.obj = ..\obj

#		*Translator Definitions*
CC = Bcc32
TASM = TASM
TLIB = TLib
TLINK = TLink32
IMPLIB  = Implib
BRC32   = Brc32
LIBPATH = -L..\LIB; -LC:\BC45\LIB; -LD:\BC45\LIB; -LC:\BORLANDC\LIB; -LD:\BORLANDC\LIB;
INCLUDEPATH = -I..\INCLUDE; -I..\TEST; -IC:\BORLANDC\INCLUDE; -IC:\BC45\INCLUDE; -ID:\BORLANDC\INCLUDE; -ID:\BC45\INCLUDE;


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*

A_TEST_dependencies = \
 ..\obj\winNT_a.obj \
 ..\lib\tca.lib

B_TEST_dependencies = \
 ..\obj\winNT_b.obj \
 ..\lib\tca.lib
  
all: ..\bin\winNT_a.exe ..\bin\winNT_b.exe

#		*Explicit Rules*

..\bin\winNT_a.exe: test.cfg $(A_TEST_dependencies)
  $(TLINK) -Tpe -ap  -v $(LIBPATH) @&&|
c0x32.obj+
..\obj\winNT_a.obj
..\bin\winNT_a,..\bin\winNT_a
..\lib\tca.lib+
bidsf.lib+
import32.lib+
cw32mt.lib
|

..\bin\winNT_b.exe: test.cfg $(B_TEST_dependencies)
  $(TLINK) -Tpe -ap  -v $(LIBPATH) @&&|
c0x32.obj+
..\obj\winNT_b.obj
..\bin\winNT_b,..\bin\winNT_b
..\lib\tca.lib+
bidsf.lib+
import32.lib+
cw32mt.lib
|

#		*Individual File Dependencies*

..\obj\winNT_a.obj: test.cfg ..\test\winNT_a.c 
	$(CC) +TEST.CFG -c ..\test\winNT_a.c 
	
..\obj\winNT_b.obj: test.cfg ..\test\winNT_b.c 
	$(CC) +TEST.CFG -c ..\test\winNT_b.c 
	
#		*Compiler Configuration File*

windowNT.cfg: windowNT.mak
	mkdir ..\obj
	mkdir ..\lib
	mkdir ..\bin
	copy &&|
-R
-v
-vi
-H
-H=test.csm
-w-sus
-w-par
-w-rch
-WM
-WC
-w-aus
-n..\obj
$(INCLUDEPATH)
$(LIBPATH)
-DNEED_READV=1; -DNO_UNIX_SOCKETS=1
-D_WINSOCK_; -DDOS_FILE_NAMES
-w32
-Tpe 
-x
| windowNT.cfg
