/*****************************************************************************
 * PROJECT: TCA
 *
 * (c) Copyright Richard Goodwin, 1995. All rights reserved.
 *
 * FILE: bridge.h
 *
 * ABSTRACT: This program provides a bridge between two central servers.
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/bridge/bridge.h,v $ 
 * $Revision: 1.5 $
 * $Date: 99/05/09 10:54:46 $
 * $Author: reids $
 *
 * REVISION HISTORY:
 *
 * $Log:	bridge.h,v $
 * Revision 1.5  99/05/09  10:54:46  reids
 * New bridge program -- true 2-way bridge, and handles commands and goals
 * correctly
 * 
 * Revision 1.4  1996/02/10  16:51:36  rich
 * Made private functions static.
 *
 * Revision 1.3  1996/02/07  00:27:56  rich
 * Add prefix to VERSION_DATE and COMMIT_DATE.
 *
 * Revision 1.2  1996/02/01  04:04:00  rich
 * Generalized updateVersion and added recursion.
 *
 * Revision 1.1  1996/01/31  22:54:31  reids
 * Added automatic updating of (micro) version control numbers
 *
 *
 *****************************************************************************/

#ifndef BRIDGE_INC
#define BRIDGE_INC

/*****************************************************************************
 * Global constants
 *****************************************************************************/

#define BRIDGE_VERSION_MAJOR  2
#define BRIDGE_VERSION_MINOR  0
#define BRIDGE_VERSION_MICRO  0
#define BRIDGE_VERSION_DATE "Feb-10-96"
#define BRIDGE_COMMIT_DATE "$Date: 99/05/09 10:54:46 $"

#define BRIDGE_NAME_PREFIX "bridge_"
#define NEW_MESSAGE_LISTENER "bridge_new_message"
#define NEW_HANDLER_LISTENER "bridge_new_handler"

#define MAX_STRING (200)

#endif /* BRIDGE_INC */
