
/*
 * File: tcaTree.h
 * Author: Domingo Gallardo, CMU
 * Purpose: Graphical User Interface for the task tree
 *
 * REVISION HISTORY
 *
 * $Log:	tcaTree.h,v $
 * Revision 1.1  97/05/29  21:30:18  reids
 * Archive the old (native X) version of tview, in case someone does
 *   not have access to Tcl/Tk.
 * 
 * Revision 1.1  1995/04/05  18:32:37  rich
 * Moved tview files to a subdirectory.
 *
 * Revision 1.1  1994/11/02  21:39:22  rich
 * Now works for linux machines (i486).
 * Got afs to work on alpha (and hopefully other vendor OS's)
 * Added generic Makefile and asynchronous sender/receiver.
 * Renamed some X11 files and modified routines so we don't get library
 * conflicts.
 *
 *
 */


#ifndef _TCATREE_H
#define _TCATREE_H

#include <X11/IntrinsicP.h>
#include <X11/CoreP.h>
#include <X11/Xaw/TreeP.h>

void
#if NeedFunctionPrototypes
tcaXawTreeForceLayout (Widget tree);
#else
     tcaXawTreeForceLayout ();
#endif

extern TreeClassRec tcaTreeClassRec;

#endif
