/*
 * File: tview.h
 * Author: Domingo Gallardo, CMU
 * Purpose: Header file for the application
 *
 * REVISION HISTORY
 *
 * $Log:	tview.h,v $
 * Revision 1.1  97/05/29  21:30:20  reids
 * Archive the old (native X) version of tview, in case someone does
 *   not have access to Tcl/Tk.
 * 
 * Revision 1.9  1996/05/07  16:51:56  rich
 * Changes for clisp.
 *
 * Revision 1.8  1996/02/29  15:21:01  reids
 * Ignore the MODULE_CONNECT and MODULE_DISCONNECT types.
 *
 * Revision 1.7  1996/02/10  23:38:03  rich
 * Ifdef out tests rather than comment them out.  Allows comments in the
 * test routines.
 *
 * Revision 1.6  1996/02/10  16:53:56  rich
 * Made private functions static and fixed some forward declarations.
 *
 * Revision 1.5  1996/02/07  15:40:04  reids
 * Cleaned up a bit of the code -- removing extraneous arguments, adding some
 *   "define"s for string constants.  Fixed the initialization of menu items so
 *   that their labels depend on global variables, rather than being hard-coded
 *
 * Revision 1.4  1996/02/07  00:28:50  rich
 * Add prefix to VERSION_DATE and COMMIT_DATE.
 *
 * Revision 1.3  1996/02/01  04:04:46  rich
 * Generalized updateVersion and added recursion.
 *
 * Revision 1.2  1996/01/31  22:56:04  reids
 * Added automatic updating of (micro) version control numbers.
 * Also, removed dependence in makefile on libtca.a
 *
 * Revision 1.1  1995/04/05  18:32:43  rich
 * Moved tview files to a subdirectory.
 *
 * Revision 1.2  1995/01/25  00:04:45  rich
 * Release of tca 7.9.  Mostly speed improvements.
 * The cvs binaries may now be located in /usr/local.
 * Formatting changes.
 *
 * Revision 1.1  1994/05/31  03:26:44  rich
 * Moved Domingo's tview tool into the main tca module.
 *
 * Revision 1.5  1994/05/27  05:33:37  rich
 * Can now read from file that is being written to.
 * Fixed Menu and button names.
 * Fixed Indentation.
 * Added menu item to change orientation of the tree.
 *
 * Revision 1.4  1993/09/13  04:14:29  domingo
 *  Added two set of options to the tree menu:
 *
 *  - Erase queries (on/off) : activate/deactivate the deletion of queries
 *       from the task tree. Erase queries by default.
 *
 *  - Display constraints (on/off) : activate/deactivate the display of
 *       constraints messages. No display by default.
 *
 * Revision 1.3  1993/09/07  00:26:56  domingo
 * Deleted files Reports.h Tree.h TreeP.h (they are not part of the
 * program)
 * Almost fixed all the warnings
 *
 * Revision 1.2  1993/08/13  01:43:21  domingo
 * Updated function declarations for compilation under gcc in ANSI C (still
 * a lot of warnings to fix).
 * Added automatic logging.
 *
 *
 * Jan 11 1993 - Domingo Gallardo at School of Computer Science, CMU
 * Created.
 *
 */

#ifndef _TVIEW_H
#define _TVIEW_H

#include <X11/Intrinsic.h>

extern XtAppContext  app_con;

#define TVIEW_VERSION_MAJOR  1
#define TVIEW_VERSION_MINOR  1
#define TVIEW_VERSION_MICRO  7
#define TVIEW_VERSION_DATE "May-07-96"
#define TVIEW_COMMIT_DATE "$Date: 97/05/29 21:30:20 $"

#endif
