/*****************************************************************************
 * PROJECT: Xavier
 *
 * (c) Copyright 1993 Richard Goodwin & Joseph O'Sullivan. All rights reserved.
 *
 * FILE: nanny.h
 *
 * ABSTRACT:
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/supervise/Common.h,v $
 * $Revision: 1.2 $
 * $Date: 97/05/20 05:19:15 $
 * $Author: josullvn $
 *
 * REVISION HISTORY:
 *
 * $Log:	Common.h,v $
 * Revision 1.2  97/05/20  05:19:15  josullvn
 * new flag -silent for silent operation, better message when readline fails,
 * cleaned up readlines linktime list, quit in inspect closes xterms properly
 * 
 * Revision 1.1  1997/05/18 01:31:50  josullvn
 * Reverted back to the old format for storing the sources, ie
 * not in a directory hierarchy. Also updated the help system in inspect.
 *
 * Revision 1.1  1997/05/13 18:00:07  josullvn
 * Amended nanny and xfMiniRunConsole to supervise and inspect.
 * Numerous bugs fixes, but chiefly...
 *  Updated the xforms display.
 *  respond correctly to CTRL-C's.
 *  new resource file format partially available as -oldload foo.rc
 *  fixed signal handling - a change to devUtils disables prior interrupt handlers.
 * 			Not a good thing methinks...
 *  fixed fd handling. Now superviseCatchChild explicitly handles closed fd's.
 *  reduced message traffic, pings only sent when necessary
 *
 * common contains stuff that is used both by inspect and supervise -- mostly
 * communication stuff, and resource handling.
 *
 * Revision 1.4  1996/08/05 16:08:06  rich
 * Added comments to endifs.
 *
 * Revision 1.3  1996/02/20  11:40:33  josullvn
 * Made extensive changes:
 *    added xfRunConsole, an xforms based interface which was quick
 *    To change the interface, from the nanny dir run
 *    /afs/cs/user/josullvn/xforms/DESIGN/fdesign xfConsole
 *    to get going, and made debugging easier.
 *    added tons of comments.
 *    Debug spews a lot more info back, so just compile
 *    with DEBUG=DEBUG if you really need it.
 *    I've added some timeouts to the code, which will
 *    probably be tweaked later. There are in xfCallbacks.c
 *    Its become better at keeping processes going, and
 *    so its harder to quit. Using shutdown can be
 *    painful. Killing the processes individually is
 *    probably better. Need to do a reverse dependancy when quitting.
 *    Multiple machines are again poor. It doesn't wait sufficently
 *    for dependencies - so you need to run things explicitly...
 *
 * Revision 1.2  1996/01/22  21:27:50  reids
 * Consolidated all the DEBUG and WARNING macro definitions into nannyCommon.h
 *
 * Revision 1.1  1995/12/17  20:25:45  rich
 * Moved Nanny to the tca release.
 *
 *
 *****************************************************************************/

#ifndef NANNY_COMMON_H_INCLUDED
#define NANNY_COMMON_H_INCLUDED

#define DEFAULT_LINE_LENGTH 80

extern int silent;

#ifdef DEBUG
#define DEBUG1(x) {if (!silent) {fprintf(stderr,x); fflush(stderr);}}
#define DEBUG2(x,y) {if (!silent) {fprintf(stderr,x,y);fflush(stderr);}}
#define DEBUG3(x,y,z) {if (!silent) {fprintf(stderr,x,y,z);fflush(stderr);}}
#define DEBUG5(x,y,z,a,b) {if (!silent) {fprintf(stderr,x,y,z,a,b);fflush(stderr);}}
#else
#define DEBUG1(x) 
#define DEBUG2(x,y) 
#define DEBUG3(x,y,z) 
#define DEBUG5(x,y,z,a,b) 
#endif
#define RDEBUG2(x,y) DEBUG2(x,y)

#define WARNING1(x) {if (!silent) {fprintf(stderr,x);fflush(stderr);}}
#define WARNING2(x,y) {if (!silent) {fprintf(stderr,x,y);fflush(stderr);}}
#define WARNING3(x,y,z) {if (!silent) {fprintf(stderr,x,y,z);fflush(stderr);}}

#endif /* NANNY_COMMON_H_INCLUDED */
