# connect.tcl
#
# This file is for connecting a Tview process to a Comview process
# (and visa versa).
#
# It provides three functions:
#   (1) Check if corresponding process is running
#   (2) Check if corresponding process is using same log file
#   (3) Start up a corresponding process
#   (4) Have corresponding process catch up to equivalent point
#   (5) Catch up to the point in the corresponding process
#   (6) Synchronized step
#   (7) Highlighting corresponding information

proc Start_Comview { } {
    global filename

    # Should startup Comview with the same startup options given to
    # Tview. We really need a startup option -auto that indicates to
    # the program that it was started up automatically (so that it
    # doesn't then say "hey, there's a Tview process running...")
    exec /home/whelan/comview/comview -f $filename &
    # getting xauth problems here... must have secured the hole.
    set Comview_Running [expr 1 - [catch { send comview Ping }]]
    puts "Comview running is $Comview_Running"
}

