#######################################################################
############################## Menu ###################################

#---- File Menu -----#

menubutton .mbar.file -padx 5 -text File -menu .mbar.file.menu
pack .mbar.file -side left

menu .mbar.file.menu -tearoff 0
#.mbar.file.menu add command -label "Load" -command load_file
.mbar.file.menu add command -label "Print Current View" \
	-command save_to_postscript
.mbar.file.menu add command -label "Quit" -command exit


#--- Tree Menu ---#

menubutton .mbar.tree -padx 15 -text Tree -menu .mbar.tree.menu
menu .mbar.tree.menu
pack .mbar.tree -side left

.mbar.tree.menu add command \
	-label "Layout:  Horizontal" \
	-command { Toggle_Layout }

.mbar.tree.menu add command \
	-label "Auto center:  OFF" \
	-command { C_Toggle_Layout }

proc Toggle_Layout {} {
    .mbar.tree.menu entryconfigure 1 -label "Layout: Vertical"
    C_Toggle_Layout
}

.mbar.tree.menu add command \
	-label "Draw Nodes" \
	-command { Toggle_Draw_Nodes }

proc Toggle_Draw_Nodes {} {
    # .mbar.tree.menu entryconfigure 1 -label "Layout: Vertical"
    C_Draw_Nodes
}

#--- Message Menu ---#

menubutton .mbar.message -padx 15 -text Message -menu .mbar.message.menu
menu .mbar.message.menu
pack .mbar.message -side left

#--- Module Menu ----#

menubutton .mbar.module -padx 15 -text Module -menu .mbar.module.menu
menu .mbar.module.menu
pack .mbar.module -side left

#---- Messages Menu -----#

menubutton .mbar.time -padx 15 -text "Messages" -menu .mbar.time.menu
menu .mbar.time.menu
pack .mbar.time -side left

# this is a hack because I can't find any other way to set the initial
# state of a checkbutton on a menu.
proc create_msg_menu_item { name number initial_state } {
    .mbar.time.menu add checkbutton -label $name -indicatoron 1
    if ($initial_state) { .mbar.time.menu invoke $name }
    set com "eval { C_Toggle_Message $number }"
    .mbar.time.menu entryconfigure $name \
	    -command $com
}

create_msg_menu_item "Query" 1 1
create_msg_menu_item "Command" 2 1
create_msg_menu_item "Inform" 6 1
create_msg_menu_item "Broadcast" 7 1

proc absolute_command {} {
    global absolute

    set absolute 1
    Update_Visible_Time
}

proc relative_command {} {
    global absolute

    set absolute 0
    Update_Visible_Time
}

#---- Size Menu -----#

menubutton .mbar.goto -padx 15 -text "Size" -menu .mbar.goto.menu
menu .mbar.goto.menu
pack .mbar.goto -side left
.mbar.goto.menu add command -label "XX-Small" \
	-command { 
    C_Set_Child_Space 5
    C_Set_Sibling_Space 2
    set_fontsize 20 }

.mbar.goto.menu add command -label "X-Small" \
	-command {
    C_Set_Child_Space 5
    C_Set_Sibling_Space 2
    set_fontsize 40 }

.mbar.goto.menu add command -label "Small" \
	-command { 
    C_Set_Child_Space 10
    C_Set_Sibling_Space 3
    set_fontsize 60 }

.mbar.goto.menu add command -label "Medium" \
	-command { 
    C_Set_Child_Space 20
    C_Set_Sibling_Space 4
    set_fontsize 100 }

.mbar.goto.menu add command -label "Large" \
	-command { 
    C_Set_Child_Space 20
    C_Set_Sibling_Space 5
    set_fontsize 120 }

.mbar.goto.menu add command -label "X-Large" \
	-command { 
    C_Set_Child_Space 30
    C_Set_Sibling_Space 7
    set_fontsize 140 }


#--- Color Key Menu ---#

set SPACER_FONT "-adobe-helvetica-medium-r-normal--*-10-*-*-*-*-iso*-*"

menubutton .mbar.colors -padx 15 -text "Colors" -menu .mbar.colors.menu
menu .mbar.colors.menu
pack .mbar.colors -side left

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "Active" \
	-background $task_color(3)

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "Waiting" \
	-background $task_color(4)

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "Pending" \
	-background $task_color(2)

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "On Hold" \
	-background $task_color(1)

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "Completed" \
	-background $task_color(5)

.mbar.colors.menu add command -label "" -font $SPACER_FONT \
	-background black -state disabled

.mbar.colors.menu add command \
	-label "Killed" \
	-background $task_color(6)

#--- Tools Menu ---#

menubutton .mbar.tools -padx 15 -text "Tools" -menu .mbar.tools.menu
menu .mbar.tools.menu
pack .mbar.tools -side left

.mbar.tools.menu add command -label "Comview" -command Start_Comview

#--- Unused Menu ---#

if (0) {

menubutton .mbar.options -padx 10 -text Options -menu .mbar.options.menu

menu .mbar.options.menu
.mbar.options.menu add command -label "Select Messages"
.mbar.options.menu add command -label "Colors"
.mbar.options.menu add command -label "Activity Border"

menubutton .mbar.help -text Help -menu .mbar.help.menu
pack .mbar.help .mbar.help -side right

}

#--- Help Menu ---#

menubutton .mbar.help -padx 15 -text "Help" -menu .mbar.help.menu
menu .mbar.help.menu
pack .mbar.help -side right

.mbar.help.menu add command \
	-label "Mouse Bindings" -command Bindings

.mbar.help.menu add command \
	-label "Support" -command Support
