# -------------------------------------------------------------------- #
#
# Comview -- TCA Communication Graphic Tool
# Colors and Settings
#
# -------------------------------------------------------------------- #


set ACTIVE_TASK_COLOR    "green"
set DEFAULT_TASK_COLOR   "turquoise"
set ON_HOLD_TASK_COLOR   "white"
set KILLED_TASK_COLOR    "light slate gray"
set PENDING_TASK_COLOR   "orange"
set WAITING_TASK_COLOR   "yellow"
#set COMPLETED_TASK_COLOR "salmon1"
set COMPLETED_TASK_COLOR "lightblue"
set WILL_BE_KILLED_TASK_COLOR "purple"

set task_color(3) $ACTIVE_TASK_COLOR
set task_color(1) $ON_HOLD_TASK_COLOR
set task_color(6) $KILLED_TASK_COLOR
set task_color(2) $PENDING_TASK_COLOR
set task_color(4) $WAITING_TASK_COLOR
set task_color(5) $COMPLETED_TASK_COLOR

# Geometry settings for 800x600 laptop display
if ($GEOMETRY_SIZE==1) {

    # The show width and show height are the size of the canvas which is
    # actually visible at any given time (ie. the canvas window size).
    set CANVAS_SHOW_WIDTH 500
    # set CANVAS_SHOW_HEIGHT 300
    set CANVAS_SHOW_HEIGHT 220

    # Number of elements viewable in the log window (listbox at the bottom
    # of the display).
    set LISTBOX_HEIGHT 4
    set LISTBOX_WIDTH 70
}

# Geometry settings for 1024x800 display
if ($GEOMETRY_SIZE==2) {
    # The show width and show height are the size of the canvas which is
    # actually visible at any given time (ie. the canvas window size).
    set CANVAS_SHOW_WIDTH 800
    set CANVAS_SHOW_HEIGHT 550

    # Number of elements viewable in the log window (listbox at the bottom
    # of the display).
    set LISTBOX_HEIGHT 7
    set LISTBOX_WIDTH 98
}

# The initial height and width of the canvas (will be dynamically
# expanded). Making larger will allow more slack in scrolling.
#set CANVAS_WIDTH 7000.0
#set CANVAS_HEIGHT 3550
set CANVAS_WIDTH $CANVAS_SHOW_WIDTH
set CANVAS_HEIGHT $CANVAS_SHOW_HEIGHT

# initial position of the root node of the tree
set INITIAL_X 20
set INITIAL_Y 20

# 0 == vertical, 1 == horizontal
set INITIAL_ORIENTATION 1

# this is a holdover from the canvas used in comview
set DISPLAY_TIME 0

# this variable determines whether the log window remains focused on
# any newly inserted data
set follow_production 1
