#ifndef _TVIEW_H
#define _TVIEW_H

#define TVIEW_VERSION_MAJOR  3
#define TVIEW_VERSION_MINOR  0
#define TVIEW_VERSION_MICRO  8
#define TVIEW_VERSION_DATE "July-07-96"
#define TVIEW_COMMIT_DATE "$Date: 97/07/07 15:01:20 $"

#include <tcl.h>
#include <tk.h>
#include "tools/Standard.h"
#include "tools/List.h"
#include "tools/Array.h"
#include "tools/MsgData.h"
#include "tools/TaskTree.h"
#include "tools/MsgData.h"
#include "tools/Parser.h"
#include <willow.h>

typedef struct Tview_Node_Struct *Tview_Node;

struct Tview_Node_Struct {

  int selected;         /* determines if node is selected */
  int watched;          /* do we stop when node changes? */
  Willow_Node wnode;
  Task task;
  int logfile_line;     /* log file msg that created node */
  /* any other node specific data goes in here */
};

int One_Tree_Update_Step(Tcl_Interp *interp);
int update_listbox(ClientData clientData, Tcl_Interp *interp, 
		   int argc, char *argv[]);
void tview_initialize(Tcl_Interp *);
void set_level_space(ClientData clientData, Tcl_Interp *interp,
		    int argc, char *argv[]);
int tview_startup(void);
void Task_Type_String(Task task, char *str);
void Tview_Create_Node(Task task, Tview_Node *node);

#endif /* _TVIEW_H */
