# Keyword Arguments for Tcl. Tcl ain't Lisp.

proc Keyword_Args { args arg_formats } {

    set index 0
    set arg_length [llength $args]
    
    while {$arg_length>$index} {
	
	# this is the keyword specified
	set keyword [lindex $args $index]
	# this is value for that keyword
	set value  [lindex $args [expr $index+1]]

	# now check to see if the option matches one in the formatters
	# list
	for {set n 0} {$n < [llength $arg_formats]} {incr n 2} {
	    if ([string compare [lindex $arg_formats $n] $keyword]==0) {
		set varname [lindex $arg_formats [expr $n+1]]
		# this is just way uncool in a real language
		upvar $varname myvar
		set myvar $value
	    }
	}

	incr index
    }
}

# this demonstrates how to use Keyword_Args
proc test { args } {
    set foo 5
    puts "foo is $foo"

    # Keyword_Args [list -foo 1] [list -foo foo -bar bar]
    

    Keyword_Args $args [list -foo foo -bar bar]
    
    # foo will now be 1
    puts "foo is $foo"
}
