/*****************************************************************************
 * PROJECT: TCA Tutorial
 *
 * (c) Copyright 1994 Richard Goodwin & Reid Simmons. All rights reserved.
 *
 * FILE: sim-xwindows.h
 *
 * ABSTRACT:
 *
 * Main header file for the simulator.
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tutorial/simulator/sim-xwindows.h,v $ 
 * $Revision: 1.4 $
 * $Date: 1996/08/05 16:10:21 $
 * $Author: rich $
 *
 * REVISION HISTORY:
 *
 * $Log: sim-xwindows.h,v $
 * Revision 1.4  1996/08/05  16:10:21  rich
 * Added comments to endifs.
 *
 * Revision 1.3  1995/04/08  02:09:12  rich
 * Fixed problem with double declarations of global variables.
 *
 * Revision 1.2  1995/04/07  05:10:02  rich
 * Fixed GNUmakefiles to find the release directory.
 * Moved all system includes into libc.h
 * Moved global variables into the c files and got rid of #define DECLARE_...
 *
 * Revision 1.1  1994/05/24  21:23:59  rich
 * Checking in Reid's tutorial code, with some fixes to the simulator.
 * Mostly problems with X11.
 *
 *
 *****************************************************************************/

#ifndef INCLUDED_SIMX
#define INCLUDED_SIMX

#include "tca/ezx.h"

extern Widget sonarW, bitmapW;
extern Widget toplevelW, outerW, viewportW, teleportW, quitW;
extern Widget sonarbuttonW, timelabelW, elapsedtimelabelW;
extern Widget xposW, yposW, angleW;
extern XtAppContext app_context;

void init_simx(char *fname);

void Quit(Widget widget, XtPointer closure, XtPointer callData);
void ToggleSonar(Widget w, XtPointer closure,  XtPointer callData);
void TeleportRobot(Widget w, XtPointer closure, XtPointer callData);

#endif /* INCLUDED_SIMX */
